%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		qrupdate
Version:	1.1.2
Release:	%mkrel 4
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRequires:	gcc-gfortran
BuildRequires:	blas-devel
BuildRequires:	lapack-devel

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

# ensure .so files are executable (0755) for proper -debuginfo extraction
sed -i 's|-m644|-m755|g' src/Makefile

%build
FFLAGS=$(echo %{optflags} |sed -e 's!-Wformat !!')
#parallel make broken
make lib solib FFLAGS="${FFLAGS} -fimplicit-none -funroll-loops -g" 

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_lib}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc README ChangeLog COPYING
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Thu Dec 05 2019 tex - 1.1.2-4pclos2019
- rebuild against updates

* Tue May 26 2019 tex 1.1.2-3pclos2019
- rebuild
